coreEngine.Helper

## Class FacilitySummary

- java.lang.Object
- - coreEngine.Helper.FacilitySummary

-     public class FacilitySummary
      extends java.lang.Object

  This class is used to store output of a seed single run.
  Author:
    Shu Liu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `actualTravelTime` Summary Data
    `int` | `atdm` ATDM index
    `static java.lang.String` | `HEADER_actualTravelTime` Display Header Constant
    `static java.lang.String` | `HEADER_maxDC` Display Header Constant
    `static java.lang.String` | `HEADER_maxHourlyUserCost` Display Header Constant
    `static java.lang.String` | `HEADER_maxVC` Display Header Constant
    `static java.lang.String` | `HEADER_PMTD` Display Header Constant
    `static java.lang.String` | `HEADER_PMTV` Display Header Constant
    `static java.lang.String` | `HEADER_reportDensity` Display Header Constant
    `static java.lang.String` | `HEADER_spaceMeanSpeed` Display Header Constant
    `static java.lang.String` | `HEADER_totalLength` Display Header Constant
    `static java.lang.String` | `HEADER_userCost` Display Header Constant
    `static java.lang.String` | `HEADER_VHD` Display Header Constant
    `static java.lang.String` | `HEADER_VHT` Display Header Constant
    `static java.lang.String` | `HEADER_VMTD` Display Header Constant
    `static java.lang.String` | `HEADER_VMTV` Display Header Constant
    `float` | `maxDC` Summary Data
    `float` | `maxHourlyUserCost` Summary data
    `java.lang.String` | `maxHourlyUserCostSring` Summary data
    `float` | `maxVC` Summary Data
    `float` | `PMTD` Summary Data
    `float` | `PMTV` Summary Data
    `float` | `reportDensity` Summary Data
    `int` | `scen` Scenario index
    `Seed` | `seed` Facility Seed Object
    `float` | `spaceMeanSpeed` Summary Data
    `float` | `totalLength` Summary Data
    `static float` | `udcCars` User Delay Cost for Cars
    `static float` | `udcTrucks` User Delay Cost for Trucks
    `float` | `userCost` Summary Data
    `float` | `userDelayCost` Summary Data
    `float` | `vehicleOperatingCost` Summary Data
    `float` | `VHD` Summary Data
    `float` | `VHT` Summary Data
    `float` | `VMTD` Summary Data
    `float` | `VMTV` Summary Data
    `static float` | `vocCars` Vehicle Operating Cost for Cars
    `static float` | `vocTrucks` Vehicle Operating Cost for Trucks

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacilitySummary(Seed seed, int scen)` Constructor
    `FacilitySummary(Seed seed, int scen, int atdm)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float` | `getUdcCars()`
    `static float` | `getUdcTrucks()`
    `static float` | `getVocCars()`
    `static float` | `getVocTrucks()`
    `void` | `reload()`
    `static void` | `setUdcCars(float udcCars)`
    `static void` | `setUdcTrucks(float udcTrucks)`
    `static void` | `setVocCars(float vocCars)`
    `static void` | `setVocTrucks(float vocTrucks)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_totalLength

          public static final java.lang.String HEADER_totalLength

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_actualTravelTime

          public static final java.lang.String HEADER_actualTravelTime

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_VMTD

          public static final java.lang.String HEADER_VMTD

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_VMTV

          public static final java.lang.String HEADER_VMTV

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_PMTD

          public static final java.lang.String HEADER_PMTD

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_PMTV

          public static final java.lang.String HEADER_PMTV

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_VHT

          public static final java.lang.String HEADER_VHT

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_VHD

          public static final java.lang.String HEADER_VHD

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_spaceMeanSpeed

          public static final java.lang.String HEADER_spaceMeanSpeed

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_reportDensity

          public static final java.lang.String HEADER_reportDensity

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_maxDC

          public static final java.lang.String HEADER_maxDC

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_maxVC

          public static final java.lang.String HEADER_maxVC

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_userCost

          public static final java.lang.String HEADER_userCost

      Display Header Constant
      See Also:
        Constant Field Values

    - #### HEADER_maxHourlyUserCost

          public static final java.lang.String HEADER_maxHourlyUserCost

      Display Header Constant
      See Also:
        Constant Field Values

    - #### seed

          public final Seed seed

      Facility Seed Object

    - #### scen

          public final int scen

      Scenario index

    - #### atdm

          public final int atdm

      ATDM index

    - #### totalLength

          public float totalLength

      Summary Data

    - #### actualTravelTime

          public float actualTravelTime

      Summary Data

    - #### VMTD

          public float VMTD

      Summary Data

    - #### VMTV

          public float VMTV

      Summary Data

    - #### PMTD

          public float PMTD

      Summary Data

    - #### PMTV

          public float PMTV

      Summary Data

    - #### VHT

          public float VHT

      Summary Data

    - #### VHD

          public float VHD

      Summary Data

    - #### spaceMeanSpeed

          public float spaceMeanSpeed

      Summary Data

    - #### reportDensity

          public float reportDensity

      Summary Data

    - #### maxDC

          public float maxDC

      Summary Data

    - #### maxVC

          public float maxVC

      Summary Data

    - #### userDelayCost

          public float userDelayCost

      Summary Data

    - #### vehicleOperatingCost

          public float vehicleOperatingCost

      Summary Data

    - #### userCost

          public float userCost

      Summary Data

    - #### maxHourlyUserCost

          public float maxHourlyUserCost

      Summary data

    - #### maxHourlyUserCostSring

          public java.lang.String maxHourlyUserCostSring

      Summary data

    - #### udcCars

          public static float udcCars

      User Delay Cost for Cars

    - #### udcTrucks

          public static float udcTrucks

      User Delay Cost for Trucks

    - #### vocCars

          public static float vocCars

      Vehicle Operating Cost for Cars

    - #### vocTrucks

          public static float vocTrucks

      Vehicle Operating Cost for Trucks

  - ### Constructor Detail

    - #### FacilitySummary

          public FacilitySummary(Seed seed,
                                 int scen)

      Constructor
      Parameters:
        `seed` - seed
        `scen` - scenario index

    - #### FacilitySummary

          public FacilitySummary(Seed seed,
                                 int scen,
                                 int atdm)

      Constructor
      Parameters:
        `seed` - seed
        `scen` - scenario index
        `atdm` - ATDM set index

  - ### Method Detail

    - #### reload

          public void reload()

    - #### getUdcCars

          public static float getUdcCars()

    - #### setUdcCars

          public static void setUdcCars(float udcCars)

    - #### getUdcTrucks

          public static float getUdcTrucks()

    - #### setUdcTrucks

          public static void setUdcTrucks(float udcTrucks)

    - #### getVocCars

          public static float getVocCars()

    - #### setVocCars

          public static void setVocCars(float vocCars)

    - #### getVocTrucks

          public static float getVocTrucks()

    - #### setVocTrucks

          public static void setVocTrucks(float vocTrucks)